clang 8.0.0

Classes | Functions
APValue.cpp File Reference
`#include "clang/AST/APValue.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/CharUnits.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/Type.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for APValue.cpp:

Go to the source code of this file.

## Classes
struct | clang::APValue::LV
struct | clang::APValue::MemberPointerData

## Functions
static double | GetApproxValue (const llvm::APFloat &F)

## Function Documentation

## ◆ GetApproxValue()

static double GetApproxValue | ( | const llvm::APFloat & | F | ) |
| static

Definition at line 305 of file APValue.cpp.

Referenced by clang::APValue::dump(), and clang::APValue::printPretty().